> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Alert Integration Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/alerts/integrations
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/alerts/integrations:
    post:
      tags:
        - Alerts API
      summary: Create Alert Integration Endpoint
      operationId: create_alert_integration_endpoint_api_v1_org_alerts_integrations_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateIntegrationBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateIntegrationResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateIntegrationBody:
      properties:
        name:
          title: Name
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        channel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Id
        channel_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Name
        teams_tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Teams Tenant Id
        integration_type:
          anyOf:
            - type: string
            - type: 'null'
          default: slack
          title: Integration Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        template:
          anyOf:
            - type: string
            - type: 'null'
          title: Template
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          default: true
          title: Enabled
      required:
        - name
      title: CreateIntegrationBody
      type: object
    CreateIntegrationResult:
      properties:
        item:
          $ref: '#/components/schemas/IntegrationResultItem'
      required:
        - item
      title: CreateIntegrationResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IntegrationResultItem:
      properties:
        id:
          format: uuid4
          title: Id
          type: string
        name:
          title: Name
          type: string
        url:
          title: Url
          type: string
        channel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Id
        channel_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        template:
          anyOf:
            - type: string
            - type: 'null'
          title: Template
        enabled:
          title: Enabled
          type: boolean
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        created_at:
          title: Created At
          type: string
        updated_at:
          title: Updated At
          type: string
      required:
        - id
        - name
        - url
        - channel_id
        - channel_name
        - description
        - template
        - enabled
        - organisation_id
        - created_at
        - updated_at
      title: IntegrationResultItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````